function init(hero) {
    hero.setName("Sonic The Hedgehog/SSBHP");
    hero.setTier(3);
    hero.setVersion("Super Smash Bros");

    hero.setHelmet("Head");
    hero.setChestplate("Chest");
    hero.setLeggings("Leg's");
    hero.setBoots("Sneakers");


    hero.addAbilities("fiskheroes:super_speed", "fiskheroes:enhanced_reflexes", "fiskheroes:cellular_regeneration", "fiskheroes:accelerated_perception");
    hero.addAttribute("FALL_RESISTANCE", 4.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("SWORD_DAMAGE", 1.5, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 2.0, 0);
	hero.addAttribute("ATTACK_DAMAGE", 4.00, 1);

    hero.addKeyBind("SUPER_SPEED", "Super Speed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    hero.addKeyBind("DECELERATE", "key.decelerate", 3);
    hero.addKeyBind("ACCELERATE", "key.accelerate", 4);
        
        hero.setDefaultScale(0.80);
    
	hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
}

function speedProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 1.35, 1);
    profile.addAttribute("JUMP_HEIGHT", 1.0, 0);
    profile.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    profile.addAttribute("SPRINT_SPEED", 2.2, 1);
    profile.addAttribute("FALL_RESISTANCE", 1.0, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : null;
}
